#include "StoreMenuPresenter.h"
#include "ECurrencyType.h"
#include "EStoreMenuState.h"

class USubPresenter;

void UStoreMenuPresenter::ResetBackActionLabel() const
{

}

void UStoreMenuPresenter::OpenRedeemCodePopup()
{

}

void UStoreMenuPresenter::OpenAuricCellsOverlay()
{

}

void UStoreMenuPresenter::OnStopSubPresenterAsyncOperation(USubPresenter* subPresenter)
{

}

void UStoreMenuPresenter::OnStartSubPresenterAsyncOperation(USubPresenter* subPresenter)
{

}

void UStoreMenuPresenter::OnPageStateUpdated()
{

}

void UStoreMenuPresenter::OnNotEnoughCurrencyModalButtonClicked(const ECurrencyType currencyType)
{

}

void UStoreMenuPresenter::OnMenuTabSelectedAgain(EStoreMenuState menuState)
{

}

void UStoreMenuPresenter::OnMenuTabSelected(EStoreMenuState menuState)
{

}

void UStoreMenuPresenter::OnDisplayStandRotation(float distance)
{

}

void UStoreMenuPresenter::OnBackActionLabelChangeRequested(const FText& newLabel) const
{

}

void UStoreMenuPresenter::OnBackAction()
{

}

void UStoreMenuPresenter::OnAsyncLoadComplete()
{

}

UStoreMenuPresenter::UStoreMenuPresenter()
{
	this->DisplayStandName = NAME_None;
	this->InStoreCameraTransitionDurationSeconds = 0.000000;
}
